Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class AccessControlListIndexAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.AccessControlListIndexAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class AccessControlListIndexAgent

extends ClusteredServer

AccessControlListIndexAgent resolves ACLs that have been modified (either directly or indirectly) and updates the resolved set of users with discover access into a table in the iFS schema.

Nested Class Summary
`protected class` | `AccessControlListIndexAgent.DeferredEntrySet` Manage a set of deferred entries.

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`protected int` | `m_LastPeriodEntryCount` The number of events received during the last timer period.
`protected long` | `m_LastPublishStatisticsTime` The last time the statistics were published.
`protected int` | `m_MaxDeferredEntryCount` The maximum number of entries to process during any timer cycle.
`protected AccessControlListIndexAgent.DeferredEntrySet` | `m_NextEntrySet` Next selected deferred entry set, set aside to age.
`protected AccessControlListIndexAgent.DeferredEntrySet` | `m_PreviousEntrySet` Previously selected deferred entry set.
`protected long` | `m_PublishStatisticsPeriod` The period for whichevent statistics will be published.
`protected boolean` | `m_TimerExpired` Indicates whether or not a timer expired request has been received.
`protected int` | `m_TotalEntryCount` The total number of events received since the agent was started.
`protected boolean` | `m_UpdateModeIsSync` Whether we think we're still in Sync mode

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`AccessControlListIndexAgent()` Constructs a AccessControlListIndexAgent.

Method Summary
`protected AttributeValueTable` | `getTimerConfiguration()` Gets the Timer Configuration.
`protected void` | `handleResumeRequest()` Handles a resume request.
`protected void` | `handleSuspendRequest()` Handles a suspend request.
`protected void` | `handleTimerExpired()` Handles a timer expiration.
`void` | `initialize()` Initializes this AccessControlListIndexAgent.
`boolean` | `isAgent()` Gets whether this Server is an agent.
`static void` | `main(java.lang.String[] args)` Runs the AccessControlListIndexAgent in standalone mode.
`void` | `postRun()` Performs post-run activities.
`void` | `preRun()` Performs pre-run activities.
`protected void` | `processPreviousDeferredEntrySet()` Process the previous set of deferred entries
`void` | `run()` Runs this AccessControlListIndexAgent.
`boolean` | `supportsSuspendResume()` Gets whether suspend/resume is supported.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, handleStopRequest, isTimerActive, postRequest, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_UpdateModeIsSync

    protected boolean m_UpdateModeIsSync

  Description copied from class: `AccessControlListIndexAgent`
  Whether we think we're still in Sync mode

### m_PublishStatisticsPeriod

    protected long m_PublishStatisticsPeriod

  Description copied from class: `AccessControlListIndexAgent`
  The period for whichevent statistics will be published.

### m_MaxDeferredEntryCount

    protected int m_MaxDeferredEntryCount

  Description copied from class: `AccessControlListIndexAgent`
  The maximum number of entries to process during any timer cycle.

### m_LastPeriodEntryCount

    protected int m_LastPeriodEntryCount

  Description copied from class: `AccessControlListIndexAgent`
  The number of events received during the last timer period.

### m_TotalEntryCount

    protected int m_TotalEntryCount

  Description copied from class: `AccessControlListIndexAgent`
  The total number of events received since the agent was started.

### m_LastPublishStatisticsTime

    protected long m_LastPublishStatisticsTime

  Description copied from class: `AccessControlListIndexAgent`
  The last time the statistics were published.

### m_TimerExpired

    protected boolean m_TimerExpired

  Description copied from class: `AccessControlListIndexAgent`
  Indicates whether or not a timer expired request has been received.

### m_PreviousEntrySet

    protected AccessControlListIndexAgent.DeferredEntrySet m_PreviousEntrySet

  Description copied from class: `AccessControlListIndexAgent`
  Previously selected deferred entry set.

### m_NextEntrySet

    protected AccessControlListIndexAgent.DeferredEntrySet m_NextEntrySet

  Description copied from class: `AccessControlListIndexAgent`
  Next selected deferred entry set, set aside to age.

Constructor Detail

### AccessControlListIndexAgent

    public AccessControlListIndexAgent()
                                throws IfsException

  Constructs a AccessControlListIndexAgent.

  Throws:
    `IfsException` - if the operation fails

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `AccessControlListIndexAgent`
  Runs the AccessControlListIndexAgent in standalone mode.

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.lang.Exception` - if the operation fails

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `AccessControlListIndexAgent`
  Initializes this AccessControlListIndexAgent.

  Overrides:
    `initialize` in class `Server`
  Throws:
    `java.lang.Exception` - if the operation fails

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `AccessControlListIndexAgent`
  Gets whether this Server is an agent.

  This method is called by iFS administration tools to group together servers that are agents in administration user interfaces.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - (IFS-45178) if the operation fails
  (Published)

### preRun

    public void preRun()
                throws java.lang.Exception

  Description copied from class: `AccessControlListIndexAgent`
  Performs pre-run activities.

  Overrides:
    `preRun` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### run

    public void run()

  Description copied from class: `AccessControlListIndexAgent`
  Runs this AccessControlListIndexAgent.

  Specified by:
    `run` in class `IfsServer`

### postRun

    public void postRun()

  Description copied from class: `AccessControlListIndexAgent`
  Performs post-run activities.

  Overrides:
    `postRun` in class `IfsServer`

### supportsSuspendResume

    public boolean supportsSuspendResume()

  Description copied from class: `AccessControlListIndexAgent`
  Gets whether suspend/resume is supported.

  Specified by:
    `supportsSuspendResume` in interface `ServerInterface`
  Overrides:
    `supportsSuspendResume` in class `Server`
  Returns:
    true

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws java.lang.Exception

  Description copied from class: `AccessControlListIndexAgent`
  Handles a suspend request.

  Overrides:
    `handleSuspendRequest` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails

### handleResumeRequest

    protected void handleResumeRequest()
                                throws IfsException

  Description copied from class: `AccessControlListIndexAgent`
  Handles a resume request.

  Overrides:
    `handleResumeRequest` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails

### handleTimerExpired

    protected void handleTimerExpired()
                               throws java.lang.Exception

  Description copied from class: `AccessControlListIndexAgent`
  Handles a timer expiration.

  Overrides:
    `handleTimerExpired` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if operation fails

### getTimerConfiguration

    protected AttributeValueTable getTimerConfiguration()
                                                 throws IfsException

  Description copied from class: `IfsServer`
  Gets the Timer Configuration.

  Subclasses may override this to derive different values for the timer settings (see oracle.ifs.core.agents.AccessControlListIndexAgent).

  Overrides:
    `getTimerConfiguration` in class `IfsServer`
  Returns:
    the Timer configuration
  Throws:
    `IfsException` - if the operation fails

### processPreviousDeferredEntrySet

    protected void processPreviousDeferredEntrySet()

  Description copied from class: `AccessControlListIndexAgent`
  Process the previous set of deferred entries

  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD